POST api/v2/Item/EditItemCategory
Request Information
URI Parameters
None.
Body Parameters
ItemCategoryModel| Name | Description | Type | Additional information |
|---|---|---|---|
| intItemCatID | integer |
None. |
|
| strNo | string |
None. |
|
| strName | Collection of LanguageTextModel |
None. |
|
| strSearch | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"intItemCatID": 1,
"strNo": "sample string 2",
"strName": [
{
"intLanguageID": 1,
"strText": "sample string 2"
},
{
"intLanguageID": 1,
"strText": "sample string 2"
}
],
"strSearch": "sample string 3"
}
application/xml, text/xml
Sample:
<ItemCategoryModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/XS2.WMSWebApiV2.Models">
<intItemCatID>1</intItemCatID>
<strName>
<LanguageTextModel>
<intLanguageID>1</intLanguageID>
<strText>sample string 2</strText>
</LanguageTextModel>
<LanguageTextModel>
<intLanguageID>1</intLanguageID>
<strText>sample string 2</strText>
</LanguageTextModel>
</strName>
<strNo>sample string 2</strNo>
<strSearch>sample string 3</strSearch>
</ItemCategoryModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.